Rensei docs
API ReferenceWorkflows

Create a workflow.

Create a workflow. - Rensei REST API operation reference.

POST
/api/workflows

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/workflows" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "workspaceId": "string",
  "orgId": "string",
  "projectId": "string",
  "name": "string",
  "description": "string",
  "status": "string",
  "nodes": [
    null
  ],
  "edges": [
    null
  ],
  "viewport": null,
  "definitionYaml": "string",
  "createdBy": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "projectScope": [
    "string"
  ],
  "archivedAt": "string",
  "brokenReason": null
}
Empty
Empty
Empty